Bug 428200 - gThumb crashes on directories with ampersands
gThumb crashes on directories with ampersands
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 16:45 EST by Ken Dreyer
Modified: 2008-02-09 16:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-09 16:10:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2008-01-09 16:45:55 EST
Description of problem:
gThumb crashes when navigating between pictures if the containing directory has
an ampersand (&) character.

Version-Release number of selected component (if applicable):
gthumb-2.10.7-1.fc7

How reproducible:
every time

Steps to Reproduce:
1. make a directory with an ampersand in the name.
2. copy two images to this folder.
3. open the first one with gThumb.
4. the "previous" and "next" buttons are dimmed (inaccessible), but hit "Page
Down" to make it crash. 
  
Actual results:
gThumb crashes

Expected results:
The arrows should not be dimmed, and gThumb should move back and forth to the
next and previous pictures.
Comment 1 Ken Dreyer 2008-01-26 01:14:51 EST
I installed Fedora 8 today, and I tested this with:
gthumb-2.10.7-1.fc8.i386.rpm
gthumb-2.10.8-1.fc8.i386.rpm
gthumb-2.10.8-1.fc9.i386.rpm

In all of these, while the arrows are still initially dimmed, pressing page-down
or page-up no longer crashes gThumb.
Comment 2 Matthias Clasen 2008-02-09 16:10:26 EST
Closing it then, thanks.

Note You need to log in before you can comment on or make changes to this bug.